Show / Hide Table of Contents

# Class ProviderOptionsValueHelper

This helper class contains methods to handle values of provider options

##### Inheritance

System.Object
ProviderOptionsValueHelper

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Microsoft.ML.OnnxRuntime

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class ProviderOptionsValueHelper

### Methods

#### StringToDict(String, Dictionary<String, String>)

Parse from string and save to dictionary

##### Declaration

    public static void StringToDict(string s, Dictionary<string, string> dict)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | s | C# string
Dictionary<System.String, System.String> | dict | Dictionary instance to store the parsing result of s